Skip to main content
POST
Create a model run

Authorizations

Authorization
string
header
required

Path Parameters

model_id
string
required

Model friendly ID (e.g., mod_abc123def456)

Body

application/json
model_run
object
required

Response

201

id
string

Model run friendly ID.

start_time
string<date-time>
end_time
string<date-time>
state
enum<string>
Available options:
incomplete,
staged,
processing,
updated,
error
error_message
string | null
processed
boolean

Whether the run has been through processing. false with state: incomplete means the run has not been processed yet.

incomplete_nodes
object[]

The nodes a run in the incomplete state could not compute, up to 50. Empty in every other state.

created_at
string<date-time>
updated_at
string<date-time>
calculations
object[]
output_data_points
object[]